1. v2 · Public
StudioIntern API Doc
  • v1 · Public
    • List courses
      GET
    • Get course schedule
      GET
    • Get upcoming events and holidays
      GET
    • List upcoming course restarts
      GET
    • List SI Summer courses
      GET
    • Get studio email signature
      GET
    • List course plans
      GET
    • List tariffs
      GET
    • Register applicant / contact form (v1)
      POST
  • v1 · Own
    • Create account entry (payment/credit/debit)
      POST
    • Get customer by ID
      GET
  • v2 · OAuth
    • Obtain access token
  • v2 · Public
    • List locations
      GET
    • List rooms of a location
      GET
    • Get studio email signature
      GET
    • List course styles (Kursgruppen)
      GET
    • Customer registration flow info
      GET
    • Register a new customer (end-user)
      POST
    • Submit contract revocation request (Widerruf)
      POST
    • Submit contract quit request (Kündigung)
      POST
    • Appointment flow info
      GET
    • Create trial-class appointment
      POST
    • Validate email address
      GET
    • Validate email address with check level
      GET
    • CourseFinder flow info
      GET
    • List CourseFinder age groups
      GET
    • List CourseFinder styles for age
      GET
    • List CourseFinder levels
      GET
    • List CourseFinder lessons
      GET
    • List available trial dates for a lesson
      GET
  • v2 · Own
    • List customers
    • Get customer detail
    • Get customer CRM view
    • List students
    • Get student detail
    • Create account entry
    • Delete account entry
    • List CourseFinder leads
  • v2 · End-Customer
    • End-customer login
    • End-customer logout
    • List students of authenticated end-customer
    • List active course seats of authenticated end-customer
    • List active course seats for one student
    • List waitlist seats of authenticated end-customer
    • List waitlist seats for one student
    • Get authenticated end-customer profile
  • Schemas
    • V1Response
    • V1Course
    • V1CourseSchedule
    • V1Event
    • V1NextCourse
    • V1UserRegisterRequest
    • V2CustLoginRequest
    • V2CustLoginData
    • V2CustStudent
    • V2CustUserStudent
    • V2CourseSeat
    • V2CustUser
    • V1CustomerBrief
    • V1AccountCreateRequest
    • PlainErrorResponse
    • RateLimitError
    • V2SuccessEnvelope
    • V2ErrorEnvelope
    • PluginInfo
    • V2Location
    • V2Room
    • V2LocationsResponse
    • V2RoomsResponse
    • V2CourseStyle
    • V2CustomerRegisterRequest
    • V2CustomerRegisterData
    • V2ContractRevokeRequest
    • V2ContractQuitRequest
    • V2AppointmentCreateRequest
    • V2AppointmentCreatedResponse
    • V2MailCheckData
    • CfAge
    • CfStyle
    • CfLevel
    • CfLesson
    • CfLead
    • V2OwnStudentBasic
    • V2OwnCustomerListItem
    • V2OwnCustomerDetail
    • V2OwnStudentDetail
    • V2OwnStudentListItem
    • V2OwnCustomerCrm
    • V2OwnContract
    • V2OwnWaitlist
    • V2OwnTrialLesson
    • V2AccountCreateRequest
    • V2AccountCreateData
    • OAuthTokenRequest
    • OAuthTokenResponse
    • OAuthTokenError
  1. v2 · Public

CourseFinder flow info

GET
https://api.studiointern.de/{customer_shortname}/v2/pub/cf
Last modified:2026-07-27 18:34:14
Maintainer:Not configured
Requires the CourseFinder plugin. Data endpoints return HTTP 403 (application code 9000) if not booked.
Returns plugin info and wizard steps (always available even if not booked).

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Path Params

Responses

🟢200
application/json
OK
Bodyapplication/json

🟠400
🟠401
🟠403
🟠404
🟠429
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.studiointern.de//v2/pub/cf' \
--header 'X-Api-Key: <api-key>'
Response Response Example
200 - Example 1
{
    "success": true,
    "code": 0,
    "locale": "de",
    "message": "string",
    "data": {
        "plugin_info": {
            "name": "string",
            "version": "string",
            "related": {
                "organisation": "string",
                "is_booked": true,
                "next": "string"
            }
        },
        "steps": {}
    },
    "links": {},
    "meta": {}
}
Modified at 2026-07-27 18:34:14
Previous
Validate email address with check level
Next
List CourseFinder age groups
Built with